Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.data.engine.api
Interface IBinding

All Known Implementing Classes:
  Binding

    public interface IBinding

Method Summary
`void` | `addAggregateOn(java.lang.String levelName)`
`void` | `addArgument(IBaseExpression expr)` Deprecated.
`void` | `addArgument(java.lang.String name, IBaseExpression expr)`
`boolean` | `exportable()`
`java.util.List` | `getAggregatOns()`
`java.lang.String` | `getAggrFunction()`
`java.util.List` | `getArguments()`
`java.lang.String` | `getBindingName()`
`int` | `getDataType()`
`java.lang.String` | `getDisplayName()`
`IBaseExpression` | `getExpression()`
`IBaseExpression` | `getFilter()`
`void` | `setAggrFunction(java.lang.String functionName)`
`void` | `setDataType(int type)`
`void` | `setDisplayName(java.lang.String displayName)`
`void` | `setExportable(boolean exportable)`
`void` | `setExpression(IBaseExpression expr)`
`void` | `setFilter(IBaseExpression expr)`

Method Detail

### getBindingName

    java.lang.String getBindingName()
                                    throws org.eclipse.birt.data.engine.core.DataException

  Throws:
    `org.eclipse.birt.data.engine.core.DataException`

### getDataType

    int getDataType()
                    throws org.eclipse.birt.data.engine.core.DataException

  Throws:
    `org.eclipse.birt.data.engine.core.DataException`

### setDataType

    void setDataType(int type)
                     throws org.eclipse.birt.data.engine.core.DataException

  Throws:
    `org.eclipse.birt.data.engine.core.DataException`

### getExpression

    IBaseExpression getExpression()
                                  throws org.eclipse.birt.data.engine.core.DataException

  Throws:
    `org.eclipse.birt.data.engine.core.DataException`

### setExpression

    void setExpression(IBaseExpression expr)
                       throws org.eclipse.birt.data.engine.core.DataException

  Throws:
    `org.eclipse.birt.data.engine.core.DataException`

### getAggregatOns

    java.util.List getAggregatOns()
                                  throws org.eclipse.birt.data.engine.core.DataException

  Throws:
    `org.eclipse.birt.data.engine.core.DataException`

### addAggregateOn

    void addAggregateOn(java.lang.String levelName)
                        throws org.eclipse.birt.data.engine.core.DataException

  Throws:
    `org.eclipse.birt.data.engine.core.DataException`

### getArguments

    java.util.List getArguments()
                                throws org.eclipse.birt.data.engine.core.DataException

  Throws:
    `org.eclipse.birt.data.engine.core.DataException`

### exportable

    boolean exportable()
                       throws org.eclipse.birt.data.engine.core.DataException

  Throws:
    `org.eclipse.birt.data.engine.core.DataException`

### setExportable

    void setExportable(boolean exportable)
                       throws org.eclipse.birt.data.engine.core.DataException

  Throws:
    `org.eclipse.birt.data.engine.core.DataException`

### addArgument

    void addArgument(IBaseExpression expr)
                     throws org.eclipse.birt.data.engine.core.DataException

  Deprecated.

  Parameters:
    `expr` -
  Throws:
    `org.eclipse.birt.data.engine.core.DataException`

### addArgument

    void addArgument(java.lang.String name,
                     IBaseExpression expr)
                     throws org.eclipse.birt.data.engine.core.DataException

  Throws:
    `org.eclipse.birt.data.engine.core.DataException`

### setFilter

    void setFilter(IBaseExpression expr)
                   throws org.eclipse.birt.data.engine.core.DataException

  Throws:
    `org.eclipse.birt.data.engine.core.DataException`

### getFilter

    IBaseExpression getFilter()
                              throws org.eclipse.birt.data.engine.core.DataException

  Throws:
    `org.eclipse.birt.data.engine.core.DataException`

### getAggrFunction

    java.lang.String getAggrFunction()
                                     throws org.eclipse.birt.data.engine.core.DataException

  Throws:
    `org.eclipse.birt.data.engine.core.DataException`

### setAggrFunction

    void setAggrFunction(java.lang.String functionName)
                         throws org.eclipse.birt.data.engine.core.DataException

  Throws:
    `org.eclipse.birt.data.engine.core.DataException`

### getDisplayName

    java.lang.String getDisplayName()
                                    throws org.eclipse.birt.data.engine.core.DataException

  Throws:
    `org.eclipse.birt.data.engine.core.DataException`

### setDisplayName

    void setDisplayName(java.lang.String displayName)
                        throws org.eclipse.birt.data.engine.core.DataException

  Throws:
    `org.eclipse.birt.data.engine.core.DataException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.